<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('mony_imports', function (Blueprint $table) {
            $table
                ->bigInteger('land_id')
                ->unsigned()
                ->nullable()
                ->index()
                ->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('mony_imports', function (Blueprint $table) {
            $table
                ->bigInteger('land_id')
                ->unsigned()
                ->index()
                ->change();
        });
    }
};
